<?php
include(dirname(__file__)."/../includes.php");

//投票基础api函数
function poll_read_base($fields="*",$condition="",$by_col="",$order="",$num="",$cache="",$cache_key=""){
	global $tablePreStr;
	$t_poll=$tablePreStr."poll";
	$plugin_rs=array();
	$dbo=new dbex;
  dbplugin('r');
  if($num==''||$num >= 1000){
  	$limit='limit 1000';
  }else{
  	$limit=" limit $num ";
  }
  if($by_col!=''){
  	$by_col=" order by $by_col ";
  }
  $sql=" select $fields from $t_poll where is_pass = 1 $condition $by_col $order $limit ";
  if($cache==1&&in_array($num,array(10,20,50))&&$cache_key!=''){
		$key=$cache_key.$order.'_'.$num;
		$key_mt=$cache_key.'mt_'.$order.'_'.$num;
		$plugin_rs=model_cache($key,$key_mt,$dbo,$sql);
	}
	if(empty($plugin_rs)){
		$plugin_rs=$dbo->getRs($sql);
	}
	return $plugin_rs;
}

function poll_self_by_pollid($fields="*",$id){
	$fields=filt_fields($fields);
	$id_str=filt_num_array($id);
	$condition=" and p_id in ($id_str) ";
	return poll_read_base($fields,$condition);
}

function poll_self_by_uid($fields="*",$id){
	$fields=filt_fields($fields);
	$id_str=filt_num_array($id);
	$condition=" and user_id in ($id_str) ";
	return poll_read_base($fields,$condition);
}

function poll_self_by_date($fields="*",$date="",$by_col='voternum',$order="desc",$num=10){
	if($by_col!='voternum'){
		$by_col='comments';
	}
	$num=intval($num);
	$order=filt_order($order);
	$condition=str_replace("{date}","dateline",date_filter($date));
	return poll_read_base($fields,$condition,$by_col,$order,$num,1,"poll_".$by_col."_");
}




?>